import request from '@/utils/request'


// 统计金额
export function computedOrderkey(data) {
	return request({
		url: '/api/order/computed/'+data.orderkey,
		method: 'post',
		data
	});
}

// 创建订单
export function createOrderkey(data,key) {
	return request({
		url: '/api/order/create/'+key,
		method: 'post',
		data
	});
}
// 账户余额
export function balance(data) {
	return request({
		url: '/api/user/balance',
		method: 'get',
		data
	});
}

// 订单支付
export function orderPay(data) {
	return request({
		url: '/api/order/pay',
		method: 'post',
		data
	});
}
// 计算订单
export function compOrder(data) {
	return request({
		url: '/api/order/computed',
		method: 'post',
		data
	});
}
// 生成订单
export function order(data) {
	return request({
		url: '/api/order/create',
		method: 'post',
		data
	});
}